// TSaudioDlg.h : header file
//


/////////////////////////////////////////////////////////////////////////////
// CTSaudioDlg dialog

#ifndef CTSDIALOG_H
#define CTSDIALOG_H

class CTSaudioDlg : public CDialog
{
// Construction
public:
	void autoNotTalk();
	void autoTalk();
	void disableControl(void);
	HBITMAP m_hNotMic;
	HBITMAP m_hMic;
	PROCESS_INFORMATION pinfo;
	
	CTSaudioDlg(CWnd* pParent = NULL);	// standard constructor
	BOOL startProcess(char *path);

// Dialog Data
	//{{AFX_DATA(CTSaudioDlg)
	enum { IDD = IDD_TSAUDIO_DIALOG };
	CButton	m_PCM;
	CButton	m_Auto;
	CButton	m_Talk;
	CSliderCtrl	m_treshold;
	CButton	m_GSM;
	CButton	m_ADPCM;
	CProgressCtrl	m_LedOut;
	CProgressCtrl	m_LedIn;
	//}}AFX_DATA


	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTSaudioDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CTSaudioDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnClose();
	afx_msg void OnAdpcm();
	afx_msg void OnGsm();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnAuto();
	afx_msg void OnTalk();
	afx_msg void OnPanel();
	afx_msg void OnStat();
	afx_msg void OnExit();
	afx_msg void OnPcm();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif
